org.apache.xalan.res

## Class XSLTErrorResources_sv

- java.lang.Object
- - java.util.ResourceBundle
  - - java.util.ListResourceBundle
    - - org.apache.xalan.res.XSLTErrorResources
      - - org.apache.xalan.res.XSLTErrorResources_sv

-     public class XSLTErrorResources_sv
      extends XSLTErrorResources

  Set up error messages. We build a two dimensional array of message keys and message strings. In order to add a new message here, you need to first add a String constant. And you need to enter key , value pair as part of contents Array. You also need to update MAX_CODE for error strings and MAX_WARNING for warnings ( Needed for only information purpose )

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BAD_CODE` String for use when a bad error code was encountered.
    `static java.lang.String` | `ERROR_HEADER` String to prepend to error messages.
    `static java.lang.String` | `ERROR_STRING` General error string.
    `static java.lang.String` | `FORMAT_FAILED` String for use when formatting of the error string failed.
    `static int` | `MAX_CODE` Maximum error messages, this is needed to keep track of the number of messages.
    `static int` | `MAX_MESSAGES` Maximum total warnings and error messages.
    `static int` | `MAX_OTHERS` Maximum misc strings.
    `static int` | `MAX_WARNING` Maximum warnings, this is needed to keep track of the number of warnings.
    `static java.lang.String` | `QUERY_HEADER` Deprecated.
    `static java.lang.String` | `WARNING_HEADER` String to prepend to warning messages.
    `static java.lang.String` | `XML_HEADER` String to specify the XML parser module.
    `static java.lang.String` | `XSL_HEADER` String to specify the XSLT module.

    - ### Fields inherited from class org.apache.xalan.res.XSLTErrorResources

      `ER_ARG_LITERAL, ER_ASSERT_NO_TEMPLATE_PARENT, ER_ASSERT_REDUNDENT_EXPR_ELIMINATOR, ER_ATTR_NOT_ALLOWED, ER_ATTRIB_VALUE_NOT_FOUND, ER_ATTRIB_VALUE_NOT_RECOGNIZED, ER_BAD_STYLESHEET_URL, ER_BAD_VAL_ON_LEVEL_ATTRIB, ER_BAD_VALUE, ER_BAD_XSLSORT_USE, ER_BUFFER_SIZE_LESSTHAN_ZERO, ER_CALL_TO_EXT_FAILED, ER_CAN_ONLY_OUTPUT_TO_ELEMENT, ER_CANNOT_ADD, ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT, ER_CANNOT_CALL_PARSE, ER_CANNOT_CMPL_EXTENSN, ER_CANNOT_CREATE_EXTENSN, ER_CANNOT_FIND_SAX1_DRIVER, ER_CANNOT_INIT_BSFMGR, ER_CANNOT_INIT_DEFAULT_TEMPLATES, ER_CANNOT_MIX_XERCESDOM, ER_CANNOT_SERIALIZE_XSLPROCESSOR, ER_CANNOT_TRANSFORM_SOURCE_TYPE, ER_CANNOT_TRANSFORM_TO_RESULT_TYPE, ER_CANT_CREATE_ITEM, ER_CANT_CREATE_URL, ER_CANT_HAVE_CONTENT_AND_SELECT, ER_CANT_RESOLVE_NAME_AVT, ER_CANT_RESOLVE_NSPREFIX, ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER, ER_CANT_USE_DTM_FOR_INPUT, ER_CANT_USE_DTM_FOR_OUTPUT, ER_CHARS_NOT_ALLOWED, ER_CHOOSE_REQUIRES_WHEN, ER_CLASS_NOT_FOUND_FOR_OPTION, ER_COULD_NOT_CREATE_TRACELISTENER, ER_COULD_NOT_CREATE_XML_PROC_LIAISON, ER_COULD_NOT_FIND_EXTERN_SCRIPT, ER_COULD_NOT_LOAD_RESOURCE, ER_COULDNT_FIND_FRAGMENT, ER_COULDNT_PARSE_DOC, ER_CURRENCY_SIGN_ILLEGAL, ER_DEFAULTSPACE_NOT_SUPPORTED, ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM, ER_DUPLICATE_GLOBAL_VAR, ER_DUPLICATE_NAMED_TEMPLATE, ER_DUPLICATE_VAR, ER_ELEM_CONTENT_NOT_ALLOWED, ER_ELEMENT_NAME_METHOD_STATIC, ER_ELEMTEMPLATEELEM_ERR, ER_ENCODING_NOT_SUPPORTED, ER_ERRORLISTENER, ER_EXTENSION_ELEMENT_NOT_ALLOWED_IN_SECURE_PROCESSING, ER_EXTENSION_FUNC_UNKNOWN, ER_FAILED_CALLING_METHOD, ER_FAILED_CREATING_ELEMLITRSLT, ER_FAILED_CREATING_ELEMTMPL, ER_FAILED_PROCESS_STYLESHEET, ER_FEATURE, ER_FILE_CANNOT_BE_NULL, ER_FILE_NOT_FOUND, ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB, ER_FUNCTION_NOT_FOUND, ER_FUNCTION_NOT_SUPPORTED, ER_GET_FEATURE_NULL_NAME, ER_ILLEGAL_ATTRIB, ER_ILLEGAL_ATTRIBUTE, ER_ILLEGAL_ATTRIBUTE_VALUE, ER_ILLEGAL_DOMSOURCE_INPUT, ER_ILLEGAL_VALUE, ER_ILLEGAL_XMLSPACE_VALUE, ER_IMPORTING_ITSELF, ER_IMPORTS_AS_FIRST_ELEM, ER_IN_ELEMTEMPLATEELEM_READOBJECT, ER_INDENTRESULT_NOT_SUPPORTED, ER_INPUT_CANNOT_BE_NULL, ER_INSTANCE_MTHD_CALL_REQUIRES, ER_INVALID_CONTEXT_PASSED, ER_INVALID_DRIVER, ER_INVALID_DRIVER_NAME, ER_INVALID_ELEMENT_NAME, ER_INVALID_KEY_CALL, ER_INVALID_NAMESPACE_URI_VALUE_FOR_RESULT_PREFIX, ER_INVALID_NAMESPACE_URI_VALUE_FOR_RESULT_PREFIX_FOR_DEFAULT, ER_INVALID_OPTION, ER_INVALID_PREFIX, ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX, ER_INVALID_SET_PARAM_VALUE, ER_INVALID_UTF16_SURROGATE, ER_IOEXCEPTION, ER_KEY_REQUIRES_MATCH_ATTRIB, ER_KEY_REQUIRES_NAME_ATTRIB, ER_KEY_REQUIRES_USE_ATTRIB, ER_MALFORMED_FORMAT_STRING, ER_MISPLACED_XSLOTHERWISE, ER_MISPLACED_XSLWHEN, ER_MISSING_ARG_FOR_OPTION, ER_MISSING_CONTAINER_ELEMENT_COMPONENT, ER_MISSING_LANG_ATTRIB, ER_MISSING_NS_URI, ER_MISSING_PREFIX_ATTRIB, ER_MORE_MATCH_CONSTRUCTOR, ER_MORE_MATCH_ELEMENT, ER_MORE_MATCH_METHOD, ER_MUST_HAVE_TEST_ATTRIB, ER_NAMESPACE_CONTEXT_NULL_NAMESPACE, ER_NAMESPACE_CONTEXT_NULL_PREFIX, ER_NEED_MATCH_ATTRIB, ER_NEED_NAME_ATTRIB, ER_NEED_NAME_OR_MATCH_ATTRIB, ER_NEED_SELECT_ATTRIB, ER_NEED_TEST_ATTRIB, ER_NO_APPLY_IMPORT_IN_FOR_EACH, ER_NO_ATTRIB_SET, ER_NO_CLONE_OF_DOCUMENT_FRAG, ER_NO_CONTEXT_OWNERDOC, ER_NO_CURLYBRACE, ER_NO_DRIVER_NAME, ER_NO_DRIVER_NAME_SPECIFIED, ER_NO_HREF_ATTRIB, ER_NO_INPUT_STYLESHEET, ER_NO_NAME_ATTRIB, ER_NO_NAMESPACE_DECL, ER_NO_OUTPUT_SPECIFIED, ER_NO_OWNERDOC, ER_NO_PARENT_FOR_FILTER, ER_NO_SELECT_EXPRESSION, ER_NO_STYLESHEET_IN_MEDIA, ER_NO_STYLESHEET_PI, ER_NO_STYLESHEETROOT, ER_NO_URL, ER_NO_URL_SPECIFIED, ER_NO_XSLKEY_DECLARATION, ER_NODE_NOT_ELEMENT, ER_NONWHITESPACE_NOT_ALLOWED_IN_POSITION, ER_NOT_ALLOWED_IN_POSITION, ER_NOT_ALLOWED_INSIDE_STYLESHEET, ER_NOT_ALLOWED_INSIDE_TEMPLATE, ER_NOT_SUCCESSFUL, ER_NOT_SUPPORTED, ER_NULL_CHILD, ER_NULL_CONTENT_HANDLER, ER_NULL_DTD_HANDLER, ER_NULL_ENTITY_RESOLVER, ER_NULL_ERROR_HANDLER, ER_NULL_SOURCENODE_APPLYIMPORTS, ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES, ER_NULL_URI_NAMESPACE, ER_NUMBER_TOO_BIG, ER_ONE_OR_TWO, ER_OUTPUT_PROPERTY_NOT_RECOGNIZED, ER_PARSER_ARG_CANNOT_BE_NULL, ER_PARSER_PROPERTY_NOT_SPECIFIED, ER_POOL_EXISTS, ER_POOL_SIZE_LESSTHAN_ONE, ER_POOLSIZE_LESS_THAN_ONE, ER_PREFIX_MUST_RESOLVE, ER_PROCESS_ERROR, ER_PROCESS_NOT_SUCCESSFUL, ER_PROCESSFROMNODE_FAILED, ER_PROCESSINCLUDE_ERROR, ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML, ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME, ER_PROCESSOR_ERROR, ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL, ER_PROPERTY, ER_PROPERTY_VALUE_BOOLEAN, ER_REDIRECT_COULDNT_GET_FILENAME, ER_REFERENCING_ITSELF, ER_REQUIRED_ELEM_NOT_FOUND, ER_REQUIRES_ATTRIB, ER_REQUIRES_ELEMENTS_ATTRIB, ER_RESOURCE_COULD_NOT_FIND, ER_RESOURCE_COULD_NOT_LOAD, ER_RESULT_COULD_NOT_BE_SET, ER_RESULT_NULL, ER_RESULTNS_NOT_SUPPORTED, ER_SAX_EXCEPTION, ER_SAX1_DRIVER_NOT_IMPLEMENT_PARSER, ER_SAX1_DRIVER_NOT_INSTANTIATED, ER_SAX1_DRIVER_NOT_LOADED, ER_SET_FEATURE_NULL_NAME, ER_SOURCE_CANNOT_BE_NULL, ER_STYLESHEET_DIRECTED_TERMINATION, ER_STYLESHEET_INCLUDES_ITSELF, ER_STYLESHEET_REQUIRES_VERSION_ATTRIB, ER_TEMPLATE_NAME_MATCH, ER_TEMPLATE_NOT_FOUND, ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB, ER_TOO_MANY_LISTENERS, ER_TWO_OR_THREE, ER_UNIMPLNODE_ERROR, ER_UNKNOWN_ERROR_CALLING_EXTENSION, ER_UNKNOWN_EXT_NS_PREFIX, ER_UNKNOWN_XSL_ELEM, ER_UNSUPPORTED_FEATURE, ER_URI_CANNOT_BE_NULL, ER_VALUE_SHOULD_BE_NUMBER, ER_VALUE_SHOULD_EQUAL, ER_XMLSPACE_ILLEGAL_VAL, ER_XMLSPACE_ILLEGAL_VALUE, ER_XPATH_RESOLVER_NEGATIVE_ARITY, ER_XPATH_RESOLVER_NULL_QNAME, ER_XSLATTRSET_USED_ITSELF, ER_XSLFUNCTIONS_UNSUPPORTED, ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE, ER_XSLT_ERROR, ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE, INVALID_BOOLEAN, INVALID_ENUM, INVALID_NCNAME, INVALID_NMTOKEN, INVALID_NUMBER, INVALID_QNAME, INVALID_TCHAR, NO_MODIFICATION_ALLOWED_ERR, WG_ATTR_TEMPLATE, WG_ATTRIB_NOT_HANDLED, WG_CANNOT_FIND_COLLATOR, WG_CANNOT_LOAD_REQUESTED_DOC, WG_CANNOT_MAKE_URL_FROM, WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE, WG_COULD_NOT_RESOLVE_PREFIX, WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR, WG_EMPTY_SECOND_ARG, WG_ENCODING_NOT_SUPPORTED_USING_JAVA, WG_ENCODING_NOT_SUPPORTED_USING_UTF8, WG_EXPR_ATTRIB_CHANGED_TO_SELECT, WG_FOUND_CURLYBRACE, WG_FUNCTIONS_SHOULD_USE_URL, WG_ILLEGAL_ATTRIBUTE, WG_ILLEGAL_ATTRIBUTE_NAME, WG_ILLEGAL_ATTRIBUTE_POSITION, WG_ILLEGAL_ATTRIBUTE_VALUE, WG_LOCALE_NOT_FOUND, WG_NO_DECIMALFORMAT_DECLARATION, WG_NO_LOCALE_IN_FORMATNUMBER, WG_OLD_XSLT_NS, WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED, WG_PARSING_AND_PREPARING, WG_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML, WG_PROCESSINGINSTRUCTION_NOTVALID_NCNAME, WG_SPECIFICITY_CONFLICTS, WG_STYLESHEET_REQUIRES_VERSION_ATTRIB, WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLTErrorResources_sv()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[][]` | `getContents()` Get the lookup table for error messages.

    - ### Methods inherited from class org.apache.xalan.res.XSLTErrorResources

      `loadResourceBundle`

    - ### Methods inherited from class java.util.ListResourceBundle

      `getKeys, handleGetObject`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_CODE

          public static final int MAX_CODE

      Maximum error messages, this is needed to keep track of the number of messages.
      See Also:
        Constant Field Values

    - #### MAX_WARNING

          public static final int MAX_WARNING

      Maximum warnings, this is needed to keep track of the number of warnings.
      See Also:
        Constant Field Values

    - #### MAX_OTHERS

          public static final int MAX_OTHERS

      Maximum misc strings.
      See Also:
        Constant Field Values

    - #### MAX_MESSAGES

          public static final int MAX_MESSAGES

      Maximum total warnings and error messages.
      See Also:
        Constant Field Values

    - #### BAD_CODE

          public static final java.lang.String BAD_CODE

      String for use when a bad error code was encountered.
      See Also:
        Constant Field Values

    - #### FORMAT_FAILED

          public static final java.lang.String FORMAT_FAILED

      String for use when formatting of the error string failed.
      See Also:
        Constant Field Values

    - #### ERROR_STRING

          public static final java.lang.String ERROR_STRING

      General error string.
      See Also:
        Constant Field Values

    - #### ERROR_HEADER

          public static final java.lang.String ERROR_HEADER

      String to prepend to error messages.
      See Also:
        Constant Field Values

    - #### WARNING_HEADER

          public static final java.lang.String WARNING_HEADER

      String to prepend to warning messages.
      See Also:
        Constant Field Values

    - #### XSL_HEADER

          public static final java.lang.String XSL_HEADER

      String to specify the XSLT module.
      See Also:
        Constant Field Values

    - #### XML_HEADER

          public static final java.lang.String XML_HEADER

      String to specify the XML parser module.
      See Also:
        Constant Field Values

    - #### QUERY_HEADER

          public static final java.lang.String QUERY_HEADER

      Deprecated.
      I don't think this is used any more.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XSLTErrorResources_sv

          public XSLTErrorResources_sv()

  - ### Method Detail

    - #### getContents

          public java.lang.Object[][] getContents()

      Get the lookup table for error messages.
      Overrides:
        `getContents` in class `XSLTErrorResources`
      Returns:
        The int to message lookup table.

Copyright © 2023 Apache XML Project. All Rights Reserved.